package com.zt.plat.module.qms.iot.tcpserver;

/**
 * <b>IotDeviceType</b>
 * <p>
 * 更新历史：
 * <pre> 版本         更新时间            更新者        更新内容<hr/>
 * V1.0      2019年9月16日          王兴荣         Add</pre>
 * <b>Copyright (C)  云南志者竟成科技有限公司</b> 
 * <p>
 * @author 王兴荣 &lt;xingrong_wang@will-way.cn&gt;
 * @version V1.0 
 * @since 2019年9月16日
 */
public enum IotDeviceType {
    INFRARED("infrared", "红外"),
    BALANCE("balance", "天平"),
    THERMOMETER("temp", "温度计"),
    PACKING_MACHINE("packing_machine", "自动定量包装机"),
    WEIGHBRIDGE("weighbridge", "地磅"),
    TRAFFIC_LIGHT("traffic_light", "交通灯");
    
    private String type;
    
    private String desc;
    
    private IotDeviceType(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }
    
    public static IotDeviceType getByType(String type) {
        IotDeviceType[] values = IotDeviceType.values();
        for (IotDeviceType iotDeviceType : values) {
            if (iotDeviceType.type.equalsIgnoreCase(type)) {
                return iotDeviceType;
            }
        }
        return null;
    }

    public String getType() {
        return type;
    }

    public String getDesc() {
        return desc;
    }
    
}
